#!/bin/bash


# all in one cycle based engine
# javac -cp `find ../lib/ -name "*.jar" | awk '{printf("../lib/%s:", $1);}END{print "../build/"}'` -d ../build ../src/peersimTutorial/cycleBasedEngine/*.java && java -cp `find ../lib/ -name "*.jar" | awk '{printf("../lib/%s:", $1);}END{print "../build/"}'` peersim.Simulator cycleBasedAveraging.txt | awk '{if (NF > 3) {l=$2 " " $3 " " $4; s=s "\n" l; print l;}}END{print "e" s "e"}' | gnuplot -p -e "plot '-' using 1:2 with lines, '' using 1:3 with lines"

# create classpath
export libs=`find ../lib/ -name "*.jar" | awk '{printf("../lib/%s:", $1);}END{print "../build/"}'`

# complile and run cycle based sample
javac -cp $libs -d ../build ../src/peersimTutorial/cycleBasedEngine/*.java
java -cp $libs peersim.Simulator cycleBasedAveraging.txt | tee result_c.txt 
cat result_c.txt | awk '{if (NF > 3) {l=$2 " " $3 " " $4; s=s "\n" l; print l;}}END{print "e" s "e"}' | gnuplot -p -e "plot '-' using 1:2 w l t \"cycle based min\", '' using 1:3 w l t \"cycle based max\""

# compile and run event based simulation
javac -cp $libs -d ../build ../src/peersimTutorial/eventBaseEngine/*.java
java -cp $libs peersim.Simulator eventBasedAveraging.txt | tee result_e.txt
cat result_e.txt | awk '{if (NF > 3) {l=(c++) " " $2 " " $3; s=s "\n" l; print l;}}END{print "e" s "e"}' | gnuplot -p -e "plot '-' using 1:2 w l t \"event based min\", '' using 1:3 w l t \"event based max\""

